*{
    padding: 0;
    margin: 0;
    font-family: monospace;
    font-weight: bold;
    user-select: none;
}
body{
    color: #fff;
    background-color: #24282e;
}
h1{
    font-size: 2.3em;
    z-index: 2;
    padding: 20px;
}
a{
    color: #fff;
    text-decoration: none;
}
p{
    color: #a2a2a2;
    font: 15px;
    padding: 20px;
}
input:focus{
    outline: none;
}
.dflex-jc-ac-fc{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.calculator01bg{
    min-height: 100vh;
}
.calculator-container{
    background-color: #000000;
    border: 4px solid #ffffff;
    width: 300px;
    height: 400px;
    border-radius: 10px;
    padding: 20px;
    box-shadow: 20px 20px 100px #00000092;
}
.calculator-container form{
    width: 100%;
    height: 100%; 1
}
.calculator-container form input[type=textfield]{
    height: 70px;
    margin-bottom: 20px;
    width: 100%;
    background-color: #000000;
    border: 0px solid #000;
    color: #fff;
    text-align: right;
    cursor: default;
    font-size: 50px;
}
.grid-btns01{
    height: 310px;
    display: grid;
    grid-template-columns: auto auto auto auto;
    gap: 20px; 
}
.calculator-container form input[type=button],
.calculator-container form input[type=reset]{
    font-size: 40px;
    border-radius: 5px;
    border: 0px solid;
}
.bgorange{
   background-color: #ffaa00;
}
.bggray{
    background-color: #a2a2a2;
    color: #fff;
}
.bgwhite{
    background-color: #fff;
}
.bgorange:hover{
    background-color: #ffb92d;
}
.bggray:hover{
    background-color: #aaaaaa;
    color: #fff;
}
.bgwhite:hover{
    background-color: #f2f2f2;
}